<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/id_ll_01"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toTopOf="@+id/id_fl_native"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="135dp"
            android:src="@mipmap/cl_gu1" />

        <ProgressBar
            android:id="@+id/id_process"
            style="@style/Widget.AppCompat.ProgressBar.Horizontal"
            android:layout_width="200dp"
            android:layout_height="16dp"
            android:layout_gravity="center"
            android:layout_marginTop="140dp"
            android:max="100"
            android:progress="20"
            android:progressDrawable="@drawable/shape_cl_guide" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="22dp"
            android:text="Scanning the phone......"
            android:textColor="#000000"
            android:textSize="15sp"
            android:textStyle="bold" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="64dp"
            android:layout_marginTop="10dp"
            android:gravity="center"
            android:text="Attention To find junk files completely, the
first scan may take a little time"
            android:textColor="#A1A1A1"
            android:textSize="12sp"
            android:textStyle="bold" />
    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/id_ll_02"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="vertical"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@+id/id_fl_native"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="135dp"
            android:src="@mipmap/cl_gu2" />


        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="140dp"
            android:text="Click the button to clean the phone"
            android:textColor="#000000"
            android:textSize="15sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/id_clean"
            android:layout_width="match_parent"
            android:layout_height="54dp"
            android:layout_marginHorizontal="30dp"
            android:layout_marginTop="25dp"
            android:background="@drawable/shape_f8f8f8_r66"
            android:gravity="center"
            android:text="CLEAN"
            android:textColor="@color/white"
            android:textSize="19sp"
            android:textStyle="bold" />
    </androidx.appcompat.widget.LinearLayoutCompat>

    <TextView
        android:id="@+id/id_tv_skip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:background="@drawable/shape_c9c9c9_r50"
        android:paddingHorizontal="18dp"
        android:paddingVertical="8dp"
        android:text="Skip"
        android:textColor="@color/white"
        android:textSize="17sp"
        android:textStyle="bold"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/id_fl_native"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent">

        <io.supercharge.shimmerlayout.ShimmerLayout
            android:id="@+id/shimmerLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|center_horizontal"
            android:layout_marginHorizontal="16dp"
            android:layout_marginVertical="10dp"
            app:shimmer_angle="25"
            app:shimmer_animation_duration="2000"
            app:shimmer_auto_start="true"
            app:shimmer_color="#33ffffff"
            app:shimmer_mask_width="0.2">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@mipmap/adzhanweitu" />

        </io.supercharge.shimmerlayout.ShimmerLayout>
    </FrameLayout>

</androidx.constraintlayout.widget.ConstraintLayout>